=== modified file 'EventBubble.qml'
--- EventBubble.qml	2013-09-05 13:07:06 +0000
+++ EventBubble.qml	2013-09-26 05:06:15 +0000
@@ -38,6 +38,8 @@
         var timeFormat = i18n.tr("hh:mm");
         var startTime = event.startTime.toLocaleTimeString(Qt.locale(), timeFormat)
         var endTime = event.endTime.toLocaleTimeString(Qt.locale(), timeFormat)
+        // TRANSLATORS: the first argument (%1) refers to a start time for an event,
+        // while the second one (%2) refers to the end time
         var timeString = i18n.tr("%1 - %2").arg(startTime).arg(endTime)
 
         timeLabel.text = ""

=== modified file 'NewEvent.qml'
--- NewEvent.qml	2013-08-30 08:24:51 +0000
+++ NewEvent.qml	2013-09-26 05:06:15 +0000
@@ -168,7 +168,7 @@
                 title: i18n.tr("Error")
                 text: ""
                 Button {
-                    text: i18n.tr("Ok")
+                    text: i18n.tr("OK")
                     onClicked: PopupUtils.close(errorPopupDialog)
                 }
             }

=== modified file 'po/calendar-app.pot'
--- po/calendar-app.pot	2013-08-30 08:25:04 +0000
+++ po/calendar-app.pot	2013-09-26 05:06:15 +0000
@@ -8,7 +8,7 @@
 msgstr ""
 "Project-Id-Version: calendar-app\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2013-08-30 10:23+0200\n"
+"POT-Creation-Date: 2013-09-26 07:05+0200\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -19,24 +19,26 @@
 
 #. TRANSLATORS: this is a time formatting string,
 #. see http://qt-project.org/doc/qt-5.0/qtqml/qml-qtquick2-date.html#details for valid expressions
-#: ../DayView.qml:29 ../TimeLineBackground.qml:22 ../TimeLineView.qml:103
-#: ../WeekView.qml:27
-msgid "HH"
-msgstr ""
-
-#: ../DiaryView.qml:43
-msgid "(+) New Event"
-msgstr ""
-
-#: ../EventDetails.qml:69
+#: ../EventBubble.qml:38
+msgid "hh:mm"
+msgstr ""
+
+#. TRANSLATORS: the first argument (%1) refers to a start time for an event,
+#. while the second one (%2) refers to the end time
+#: ../EventBubble.qml:43
+#, qt-format
+msgid "%1 - %2"
+msgstr ""
+
+#: ../EventDetails.qml:70
 msgid "Add invite"
 msgstr ""
 
-#: ../EventDetails.qml:75
+#: ../EventDetails.qml:79
 msgid "Edit"
 msgstr ""
 
-#: ../EventDetails.qml:150
+#: ../EventDetails.qml:153
 msgid "People"
 msgstr ""
 
@@ -68,8 +70,8 @@
 msgid "Error"
 msgstr ""
 
-#: ../NewEvent.qml:171
-msgid "Ok"
+#: ../NewEvent.qml:171 ../TimePicker.qml:82
+msgid "OK"
 msgstr ""
 
 #: ../NewEvent.qml:177
@@ -80,6 +82,12 @@
 msgid "End time can't be before start time"
 msgstr ""
 
+#. TRANSLATORS: this is a time formatting string,
+#. see http://qt-project.org/doc/qt-5.0/qtqml/qml-qtquick2-date.html#details for valid expressions
+#: ../TimeLineBackground.qml:18
+msgid "hh ap"
+msgstr ""
+
 #: ../TimePicker.qml:23
 msgid "Time"
 msgstr ""
@@ -96,31 +104,27 @@
 msgid "Cancel"
 msgstr ""
 
-#: ../TimePicker.qml:82
-msgid "OK"
-msgstr ""
-
-#: ../calendar.qml:52
+#: ../calendar.qml:56
 msgid "New Event"
 msgstr ""
 
-#: ../calendar.qml:60
+#: ../calendar.qml:64
 msgid "Today"
 msgstr ""
 
-#: ../calendar.qml:72
+#: ../calendar.qml:75
 msgid "Year"
 msgstr ""
 
-#: ../calendar.qml:93
+#: ../calendar.qml:95
 msgid "Month"
 msgstr ""
 
-#: ../calendar.qml:116
+#: ../calendar.qml:108
 msgid "Week"
 msgstr ""
 
-#: ../calendar.qml:132
+#: ../calendar.qml:124
 msgid "Day"
 msgstr ""
 

